class FavouriteDoctorListEntity {
  String? msg;
  int? code;
  List<Data>? data;

  FavouriteDoctorListEntity({this.msg, this.code, this.data});

  FavouriteDoctorListEntity.fromJson(Map<String, dynamic> json) {
    msg = json['msg'];
    code = json['code'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(new Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['msg'] = this.msg;
    data['code'] = this.code;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  String? doctorId;
  String? avatar;
  String? doctorName;
  String? postName;
  String? label;
  String? briefIntroduction;

  Data(
      {this.doctorId,
        this.avatar,
        this.doctorName,
        this.postName,
        this.label,
        this.briefIntroduction});

  Data.fromJson(Map<String, dynamic> json) {
    doctorId = json['doctorId'];
    avatar = json['avatar'];
    doctorName = json['doctorName'];
    postName = json['postName'];
    label = json['label'];
    briefIntroduction = json['briefIntroduction'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['doctorId'] = this.doctorId;
    data['avatar'] = this.avatar;
    data['doctorName'] = this.doctorName;
    data['postName'] = this.postName;
    data['label'] = this.label;
    data['briefIntroduction'] = this.briefIntroduction;
    return data;
  }
}
